/*
 * @Author: Do not edit
 * @Date: 2023-11-20 11:05:00
 * @LastEditTime: 2024-04-22 09:03:11
 * @LastEditors: DY
 * @Description: 质量和报废
 */
import request from '@/utils/request'

// 质量管理
export function qualityManage (data) {
  return request({
    url: '/base/quality-inspection-record/qualityManage',
    method: 'get',
    params: data
  })
}

// 报废管理
export function createScrap (data) {
  return request({
    url: '/base/quality-scrap-log/create',
    method: 'post',
    data: data
  })
}

// 获得所有产线列表
export function lineList (data) {
  return request({
    url: '/base/core-production-line/listAll',
    method: 'get',
    params: data
  })
}

// 根据产线获得工段
export function workshopSectionListByLine (data) {
  return request({
    url: '/base/core-workshop-section/listByParentId',
    method: 'get',
    params: data
  })
}

// 获得所有工单列表
export function workOrderList (data) {
  return request({
    url: '/base/core-work-order/listbyfilter',
    method: 'get',
    params: data
  })
}

// 获得所有报废原因列表
export function scrapDetList (data) {
  return request({
    url: '/base/quality-scrap-det/listAll',
    method: 'get',
    params: data
  })
}

// 创建质量检查信息
export function createInspection (data) {
  return request({
    url: '/base/quality-inspection-record/create',
    method: 'post',
    data: data
  })
}

// 撤销质量检查信息
export function deleteByCancel (query) {
  return request({
    url: '/base/quality-inspection-record/deleteByCancel',
    method: 'delete',
    params: query
  })
}

// 获得所有报废日志列表
export function scrapLogList (data) {
  return request({
    url: '/base/quality-scrap-log/page',
    method: 'get',
    params: data
  })
}

// 获得安灯权限
export function authList (data) {
  return request({
    url: '/base/quality-inspection-box-btn-auth/get',
    method: 'get',
    params: data
  })
}

// 重置按钮
export function resetBtn (data) {
  return request({
    url: '/base/quality-inspection-record/resetBtn',
    method: 'get',
    params: data
  })
}
