/*
 * @Author: Do not edit
 * @Date: 2023-12-27 16:41:40
 * @LastEditTime: 2024-01-29 10:04:05
 * @LastEditors: DY
 * @Description:
 */
import Vue from 'vue'
import VueRouter from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/Login.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    name: 'login',
    component: LoginView,
    meta: {
      keepAlive: true
    }
  },
  {
    path: '/home',
    name: 'home',
    component: HomeView
  },
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
  },
  {
    path: '/quality',
    name: 'quality',
    component: () => import('../views/Quality.vue')
  },
  {
    path: '/scrap',
    name: 'scrap',
    component: () => import('../views/Scrap.vue')
  },
  {
    path: '/list',
    name: 'scrapList',
    component: () => import('../views/ScrapList.vue')
  }
]

const router = new VueRouter({
  routes
})

export default router
